<?php
/**
 * Blackbird ContentManager Module
 *
 * NOTICE OF LICENSE
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to contact@bird.eu so we can send you a copy immediately.
 *
 * @category            Blackbird
 * @package		Blackbird_ContentManager
 * @copyright           Copyright (c) 2016 Blackbird (http://black.bird.eu)
 * @author		Blackbird Team
 * @license		http://www.advancedcontentmanager.com/license/
 */
namespace Blackbird\ContentManager\Block\Adminhtml\ContentList\Widget\Grid\Column\Filter;

class ContentType extends \Magento\Backend\Block\Widget\Grid\Column\Filter\Select
{
    /**
     * @var \Blackbird\ContentManager\Model\Config\Source\ContentTypes
     */
    protected $_contentTypeSource;
    
    /**
     * @param \Magento\Backend\Block\Context $context
     * @param \Magento\Framework\DB\Helper $resourceHelper
     * @param \Blackbird\ContentManager\Model\Config\Source\ContentTypes $contentTypeSource
     * @param array $data
     */
    public function __construct(
        \Magento\Backend\Block\Context $context,
        \Magento\Framework\DB\Helper $resourceHelper,
        \Blackbird\ContentManager\Model\Config\Source\ContentTypes $contentTypeSource,
        array $data = array()
    ) {
        $this->_contentTypeSource = $contentTypeSource;
        parent::__construct($context, $resourceHelper, $data);
    }

    /**
     * Get options
     *
     * @return array
     */
    protected function _getOptions()
    {
        $array = [];
        
        foreach($this->_contentTypeSource->getOptionArray() as $key => $value) {
            $array[] = [
                'value' => $key,
                'label' => $value
            ];
        }
        
        return $array;
    }

    /**
     * Get condition
     *
     * @return array|null
     */
    public function getCondition()
    {
        if ($this->getValue() === null) {
            return null;
        }

        return ['eq' => $this->getValue()];
    }
}
